//
// Copyright (c) 2005 Yoan Blanc, HE-ARC Ingnierie (Le Locle)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
// Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
// OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

package ch.hearc.I04_05s08.GUI;

import java.awt.event.*;
import ch.hearc.I04_05s08.GUI.Graph.*;

/**
 *	A listener for deleting element
 *
 *	@author Blanc, Yoan
 *	@hearc.copyright 2005 Yoan Blanc, HE-ARC Ingnierie
 *	@hearc.licence <a href="http://opensource.org/licenses/mit-license.php">MIT</a>
 */

public class DeleteActionListener implements ActionListener
{
	/**
	 *	The main frame
	 */
	public MainApplication mainframe;
	
	/**
	 *	Build a new delete listener
	 *
	 *	@param mainframe		the main application
	 */
	public DeleteActionListener(MainApplication mainframe)
	{
		this.mainframe = mainframe;
	}
	
	/**
	 *	Delete the selected element in the graph
	 *
	 *	@param e 		event
	 */
	public void actionPerformed(ActionEvent e)
	{
		if(mainframe.getGraph() != null)
			mainframe.getGraph().del(mainframe.getGraph().getSelectedElement());
	}
}
