//
// Copyright (c) 2005 Yoan Blanc, HE-ARC Ingnierie (Le Locle)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
// Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
// OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

package ch.hearc.I04_05s08.GUI.RDFS;

import ch.hearc.I04_05s08.GUI.Graph.Arrow;

/**
 *	RdfsArrow, an arrow for RDFS graph
 *
 *	@author Blanc, Yoan
 *	@hearc.copyright 2005 Yoan Blanc, HE-ARC Ingnierie
 *	@hearc.licence <a href="http://opensource.org/licenses/mit-license.php">MIT</a>
 */

public abstract class RdfsArrow extends Arrow
{
	/**
	 *	Init the arrow
	 *
	 *	@param title	title of the arrow
	 *	@param from		RdfsNode from
	 *	@param to		RdfsNode to
	 */
	public RdfsArrow(String title, RdfsNode from, RdfsNode to)
	{
		super(title, from, to);
	}
	
	/**
	 *	Init the arrow
	 *
	 *	@param from		RdfsNode from
	 *	@param to		RdfsNode to
	 */
	public RdfsArrow(RdfsNode from, RdfsNode to)
	{
		this(null, from, to);
	}
	
	/**
	 *	Init the arrow
	 */
	public RdfsArrow()
	{
		this(null, null, null);
	}
	
	/**
	 *	Set the nodes
	 *
	 *	@param from		from node
	 *	@param to		to node
	 */
	public boolean setNodes(RdfsNode from, RdfsNode to)
	{
		return super.setNodes(from, to);
	}
}
